server.port=8081

spring.profiles.active=dev

# jpa
spring.jpa.show-sql=false
spring.jpa.properties.jadira.usertype.autoRegisterUserTypes=true
spring.jpa.hibernate.ddl-auto=update
spring.jpa.properties.hibernate.enable_lazy_load_no_trans=true
# THYMELEAF
spring.thymeleaf.prefix=classpath:/templates/
spring.thymeleaf.suffix=.html
spring.thymeleaf.mode=LEGACYHTML5
spring.thymeleaf.encoding=UTF-8
spring.thymeleaf.cache=false
spring.thymeleaf.content-type=text/html
#log
logging.config=classpath:logback.xml
spring.http.multipart.maxFileSize=10Mb
spring.http.multipart.maxRequestSize=1000Mb
#windows path
web.upload.file.path=/usr/local/smart/

spring.mvc.static-path-pattern=/**
spring.resources.static-locations=classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,classpath:/appointment/,file:${web.upload.file.path}

# redis
spring.redis.database=0
spring.redis.host=127.0.0.1
spring.redis.port=6379
# 连接超时时间 单位 ms（毫秒）
spring.redis.timeout=3000
# 连接池中的最大空闲连接，默认值也是8。
spring.redis.pool.max-idle=8
#连接池中的最小空闲连接，默认值也是0。
spring.redis.pool.min-idle=0
# 如果赋值为-1，则表示不限制；如果pool已经分配了maxActive个jedis实例，则此时pool的状态为exhausted(耗尽)。
spring.redis.pool.max-active=8
# 等待可用连接的最大时间，单位毫秒，默认值为-1，表示永不超时。如果超过等待时间，则直接抛出JedisConnectionException
spring.redis.pool.max-wait=-1
#redis哨兵设置
#Redis服务器master的名字
#spring.redis.sentinel.master=master8026
#redis-sentinel的配置地址和端口
#spring.redis.sentinel.nodes=10.189.80.25:26379,10.189.80.26:26379,10.189.80.27:26378

# 配置开机启动监听
context.listener.classes=com.wsm.admin.device.init.StartupUdpEvent
#线程池
spring.task.pool.corePoolSize=5
spring.task.pool.maxPoolSize=100
spring.task.pool.keepAliveSeconds=100
spring.task.pool.queueCapacity=100

live.key=c1685ef2012c099ec3daa238907577ed
live.number.url=http://95787.com/api/getSessionID.php
live.info.url=http://95787.com/api/getSessionIDInfo.php
yingshi.live.key=c0f9653a20144a08ad4e1f371d3d666b
yingshi.live.secret=da1443fc5817aaa526aed46c9a7c4d03
yingshi.token.url=https://open.ys7.com/api/lapp/token/get
yingshi.info.url=https://open.ys7.com/api/lapp/live/video/list